Bug 476864 - Various netpbm tools failing on RHEL5
Various netpbm tools failing on RHEL5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: netpbm (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jindrich Novy
BaseOS QE
:
Depends On: 479017
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-17 11:13 EST by Petr Šplíchal
Modified: 2016-05-31 21:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:19:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2008-12-17 11:13:56 EST
Description of problem:

Basic functionality testing revealed that quite a many netpbm
tools fail to work on RHEL5 --- either aborting, segfaulting or
reporting various errors.

Following tools do not work: pbmtog3, ppmtouil, pnmtoddif,
pamtopfm, pamtouil, pamtoxvmini. For more details see below.

Version-Release number of selected component (if applicable):
netpbm-10.35-6.1.el5_2.2.x86_64
netpbm-10.35-6.1.el5_2.2.i386
netpbm-progs-10.35-6.1.el5_2.2.x86_64

How reproducible:
Always

Steps to Reproduce:
generally something like:
cat image.pbm | pnmtosomeformat > converted.someformat

Testing details:
Testing pbmtog3 on test.pbm (Expected 0, got 139)
     Segmentation fault

Testing ppmtouil on test.ppm (Expected 0, got 134)
    ppmtouil: computing colormap...
    ppmtouil: looking up color names, assigning character codes...
    ppmtouil: generating UIL...
    *** glibc detected *** ppmtouil: double free or corruption
    (fasttop): 0x0000000019682170 ***
    ======= Backtrace: =========
    /lib64/libc.so.6[0x3b22871834]
    /lib64/libc.so.6(cfree+0x8c)[0x3b22874e7c]
    ppmtouil[0x401513]
    /lib64/libc.so.6(__libc_start_main+0xf4)[0x3b2281d8b4]
    ppmtouil[0x400b79]

Testing pnmtoddif on test.pgm (Expected 0, got 134)
    *** glibc detected *** pnmtoddif: munmap_chunk():
    invalid pointer: 0x000000001ce6d080 ***
    ======= Backtrace: =========
    /lib64/libc.so.6(cfree+0x1b6)[0x3b22874fa6]
    pnmtoddif[0x401f6e]
    /lib64/libc.so.6(__libc_start_main+0xf4)[0x3b2281d8b4]
    pnmtoddif[0x400c59]

Testing pamtopfm on test.pbm (Expected 0, got 139)
Testing pamtopfm on test.pgm (Expected 0, got 139)
Testing pamtopfm on test.ppm (Expected 0, got 139)
     Segmentation fault

Testing pamtouil on test.pbm (Expected 0, got 134)
Testing pamtouil on test.pgm (Expected 0, got 134)
Testing pamtouil on test.ppm (Expected 0, got 134)
    *** glibc detected *** pamtouil: double free or corruption (fasttop):
    0x00000000009a1d90 ***
    ======= Backtrace: =========
    /lib64/libc.so.6[0x3b22871834]
    /lib64/libc.so.6(cfree+0x8c)[0x3b22874e7c]
    pamtouil[0x401513]
    /lib64/libc.so.6(__libc_start_main+0xf4)[0x3b2281d8b4]
    pamtouil[0x400b79]

Testing pamtoxvmini on test.pbm (Expected 0, got 134)
Testing pamtoxvmini on test.pgm (Expected 0, got 134)
Testing pamtoxvmini on test.ppm (Expected 0, got 134)
    Aborted
    *** glibc detected *** pamtoxvmini: munmap_chunk():
    invalid pointer: 0x00007fff176bbc60 ***
    ======= Backtrace: =========
    /lib64/libc.so.6(cfree+0x1b6)[0x3b22874fa6]
    pamtoxvmini[0x400f61]
    /lib64/libc.so.6(__libc_start_main+0xf4)[0x3b2281d8b4]
    pamtoxvmini[0x400b09]
Comment 2 Petr Šplíchal 2008-12-18 06:29:14 EST
eyuvtoppm fails on self generated eyuv file:

# ppmtoeyuv test.ppm > test.eyuv
# eyuvtoppm test.eyuv >back.ppm

eyuvtoppm: Premature end of file reading EYUV input file
Comment 3 Petr Šplíchal 2008-12-18 07:27:38 EST
similar failure on self generated bmp file:

# ppmtobmp test.ppm > test.bmp
ppmtobmp: analyzing colors...
ppmtobmp: 16 colors found
ppmtobmp: Writing 4 bits per pixel with a color palette

# file test.bmp
test.bmp: PC bitmap data, Windows 3.x format, 100 x 100 x 4

# bmptoppm test.bmp > back.ppm
bmptoppm: BMPlencolormap: internal error!
Comment 4 Petr Šplíchal 2008-12-18 07:32:25 EST
and the same with eyuvtoppm:

# ppmtoeyuv test.ppm > test.eyuv
# eyuvtoppm test.eyuv > back.ppm
eyuvtoppm: Premature end of file reading EYUV input file
Comment 5 Petr Šplíchal 2008-12-19 07:43:04 EST
another segfault:

# ppmpat -camo 300 300 >/tmp/ha
Segmentation fault
Comment 6 Petr Šplíchal 2008-12-19 07:56:19 EST
# ppmrainbow yellow >test.ppm
sh: .tmp/ppmrainbow.20466.000.ppm: No such file or directory
pgmramp|pgmtoppm failed. at /usr/bin/ppmrainbow line 60.

# ppmshadow test.ppm > test.ppm
Global symbol "$ourtmp" requires explicit package name at /usr/bin/ppmshadow line 75.
...
Execution of /usr/bin/ppmshadow aborted due to compilation errors.
Comment 7 Petr Šplíchal 2008-12-19 10:17:23 EST
A few more failures ;-)

# pamsharpness test.ppm
Segmentation fault

# pamsharpmap test.ppm
Segmentation fault

# pamditherbw test.pgm
Bus error
Comment 12 errata-xmlrpc 2009-09-02 05:19:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1268.html

Note You need to log in before you can comment on or make changes to this bug.